import java.awt.*;
import java.applet.*;

public class helloWorld extends Applet implements Runnable {
	Thread animationThread=null;
	protected int cur = 0, delay=150;
	protected Image frame[] = new Image[10];

/* 1 */
	protected String dir = "waving";
        protected Image bufImage;
        protected Graphics bufGraphic;

        public void init() {
                bufImage = createImage(150,150);
                bufGraphic = bufImage.getGraphics();

                int i;
                resize(150,150);
                MediaTracker tracker = new MediaTracker(this);

                for (i = 0; i<10; i++) {
                   frame[i] = getImage(getDocumentBase(),"waving/T"+i+".gif");
                   tracker.addImage(frame[i],i);
                }

                showStatus("loading images");
                try {
                        tracker.waitForAll();
                } catch (InterruptedException e) {}
                showStatus("Images loaded");
        }

	public void start() {
		animationThread = new Thread(this);    // Spawn Animation thread
		animationThread.start();
	}

	public void run() {
		while (true) {
			for (cur=1; cur<10; cur++) {
				repaint();
				try { // slow down the image changes
                        		Thread.sleep(delay);
                        	} catch (InterruptedException e) {}
			}
			cur=0;
			repaint();
		}
	}

/* 3 */
        public void update(Graphics g) {
                paint(g);
        }

        public void paint(Graphics g) {
                bufGraphic.setColor(getBackground());
                bufGraphic.fillRect(0,0,150,150);
                bufGraphic.setColor(getForeground());
                bufGraphic.drawString(new String("Hello World!"), 70,50);
                bufGraphic.drawImage(frame[cur], 25, 55, this);

                g.drawImage(bufImage, 0,0, this);
        }

	
	public void stop() {
		if (animationThread != null && animationThread.isAlive())
			animationThread.stop();
	}
}
