import java.awt.*;
import java.util.Vector;

class Shape extends Object {
	public int x1, y1, x2, y2;
	public Color c;

	public Shape(int x1, int y1, int x2, int y2, Color c) {
		this.x1 = x1;
		this.y1 = y1;
		this.x2 = x2;
		this.y2 = y2;
		this.c = c;
	}
    }

class wbPanel extends Panel {
	int x1,y1, x2,y2, xl,yl;
/* 1 */	public static Vector shapes;

	public wbPanel() {
		setBackground(Color.white);
		setFont(new Font("TimesRoman",Font.BOLD,16));
/* 2 */		shapes = new Vector();
    	}

	public boolean handleEvent(Event e) {
		switch (e.id) {
			case Event.MOUSE_DOWN:
				x1 = e.x;
				y1 = e.y;
				x2 = -1;
				return true;
			case Event.MOUSE_UP:
				Shape s = new Shape(x1,y1,e.x,e.y,getForeground());
/* 3 */				shapes.addElement(s);
				x2 = xl = -1;
				repaint();
				return true;
			default:
				return false;
		}
	}

	public void paint(Graphics g) {
/* 4 */		int nShapes = shapes.size();

		g.setColor(getForeground());
		g.setPaintMode();

		for (int i=0; i < nShapes; i++) {
/* 5 */			Shape p = (Shape)shapes.elementAt(i);
			g.setColor((Color)p.c);
			g.drawLine(p.x1, p.y1, p.x2, p.y2);
		}
	}
}
